Overview
POST
/ecosystem/ecosystemsecosystemCreate ecosystems
Create a record in ecosystems.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ownerIdoptionalstring
- slugstring
- namestring
- descriptionoptionalstring
- regionoptionalstring
- dedicatedDbConnectionIdoptionalstring?
- primaryDomainoptionalstring
- isDeletedoptionalboolean
- isDefaultoptionalboolean
- isInfrastructureoptionalboolean
- namespaceIdoptionalstring?
- idoptionalstring
Example
{
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string",
"id": "string"
}Responses
201
ecosystems
- idstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring
- regionstring
- dedicatedDbConnectionIdstring?
- primaryDomainstring
- createdAtstring
- updatedAtstring
- isDeletedboolean
- isDefaultboolean
- isInfrastructureboolean
- namespaceIdstring?
Example
{
"id": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/ecosystems" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string",
"id": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystems", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ownerId\": \"string\",\n \"slug\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"region\": \"string\",\n \"dedicatedDbConnectionId\": \"string\",\n \"primaryDomain\": \"string\",\n \"isDeleted\": true,\n \"isDefault\": true,\n \"isInfrastructure\": true,\n \"namespaceId\": \"string\",\n \"id\": \"string\"\n}",
});
const data = await res.json();